Subject: [bug#36404] [PATCH 0/6] Add 'guix deploy'.

From: [email-masked] (Jakob L. Kreuze)
Date: Sat, 29 Jun 2019 19:42:14 -0400

Hi, Chris!

Christopher Lemmer Webber <[email-masked]> writes:

> In the future I think it would be good to make this extensible as
> well. Dispatching on a symbol means that Guix must itself provide a
> fixed set of possible environment types. If we made this an extensible
> structure, akin to services or something, we could allow for more
> flexibility in the future. Thoughts for the future, but not a blocker
> on this patch.

+1. Initially, I thought the service types _were_ symbols, but I see now
that they're actually procedures. Thanks for pointing that out. I'll see
about implementing environment types similarly in my revised patch set,
since I think that's a change that we'd want to make before any other
environment types come into existence.

Regards,
Jakob